## kodi-pvr-vuplus 1.10.7+git20150717

=== CMakeLists.txt ===
project(pvr.vuplus)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

enable_language(CXX)

find_package(kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(platform REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${platform_INCLUDE_DIRS}
                    ${TINYXML_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR})

set(VUPLUS_SOURCES src/client.cpp
                   src/VuData.cpp)

set(DEPLIBS ${kodiplatform_LIBRARIES}
            ${platform_LIBRARIES}
            ${TINYXML_LIBRARIES})

build_addon(pvr.vuplus VUPLUS DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-vuplus (1.10.7+git20150717-1) unstable; urgency=medium

  * Create packaging compliant to Debian Policy

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 12 Dec 2015 20:31:53 +0100

kodi-pvr-vuplus (1.9.27-1~trusty) trusty; urgency=low

  [ kodi ]
  * autogenerated dummy changelog

 -- Cristiano A. Silva <hudokkow@gmail.com>  Mon, 23 Feb 2015 15:56:31 +0000

=== debian/control ===
Source: kodi-pvr-vuplus
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake, libtinyxml-dev,
               libkodiplatform-dev (>= 16.0.0), kodi-addons-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.vuplus.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-vuplus.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-vuplus.git


Package: kodi-pvr-vuplus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: Vu+ PVR Addon for Kodi
 This package contains the Vu+ PVR (Personal Video Recorder) Addon for Kodi,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	ln -s /usr/include/cec-platform src/platform
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-pvr-vuplus

override_dh_makeshlibs:
	dh_makeshlibs -n

## kodi-pvr-vuplus 1.11.10+git20160220

=== debian/changelog ===
kodi-pvr-vuplus (1.11.10+git20160220-1) unstable; urgency=medium

  * Imported Upstream version 1.11.10+git20160220 (Closes: #816582)
  * Bump standards version to 3.9.7
  * Switch to p8-platform from (cec-)platform
  * Extend package description (Closes: #808751)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Mar 2016 14:44:41 +0100

=== debian/control ===
Source: kodi-pvr-vuplus
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake, libtinyxml-dev,
               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.vuplus.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-vuplus.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-vuplus.git


Package: kodi-pvr-vuplus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: Vu+/Enigma2 PVR Addon for Kodi
 Enigma2 is a framebuffer-based zapping application (GUI) that is primarly
 targeted to physicial set-top-boxes running embedded Linux (OpenEmbedded
 based firmware distrobutions), however Enigma2 can technically also run
 on regular PCs, but it is not common.
 .
 While the Enigma2 software was originally developed by Dream Multimedia
 for their Dreambox series, the opendreambox.org has made Enigma2 into a
 popular open source based firmware platform for set-top boxes and it is
 used by a number of differet set-top box manufacturers, including the
 most commonly known are Dreambox, DBox2, and Vu+ (VuPlus), which all use
 Enigma2 based firmware images. Most of these Enigma2 based set-top boxes
 falls under the catagory of Linux-powered satellite, terrestrial and cable
 digital television receivers.
 .
 With the Vu+ (VuPlus) PVR add-on Kodi PVR can be used also with a connected
 VU+ or any other Enigma2 based set-top boxes, and in general all Enigma2
 based settop boxes should be supported.
 .
 This package contains the Vu+ PVR (Personal Video Recorder) Addon for Kodi,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media.

## kodi-pvr-vuplus 2.4.4%2Bgit20160820

=== debian/changelog ===
kodi-pvr-vuplus (2.4.4+git20160820-2) unstable; urgency=medium

  * Update d/control using cme fix
  * Adapt to Kodi PVR api change - SeekTime
  * Depend on PVR API version of Kodi we built the addon with

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Dec 2016 04:28:15 +0100

kodi-pvr-vuplus (2.4.4+git20160820-1) unstable; urgency=medium

  * Drop hack to build with p8-platform
  * Drop unused obsoleted patch
  * Imported Upstream version 2.4.4+git20160820
  * Build-depend on latest libkodiplatform-dev and kodi-addons-dev
  * Fix spelling error in package description

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 04 Nov 2016 11:27:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: kodi-pvr-vuplus
-Priority: extra
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>
-Build-Depends: debhelper (>= 9.0.0), cmake, libtinyxml-dev,
-               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev
+Section: libs
+Priority: extra
+Build-Depends: debhelper (>= 9.0.0),
+               cmake,
+               libtinyxml-dev,
+               libkodiplatform-dev (>= 17.1.0),
+               kodi-addons-dev (>= 17.0~beta6~)
 Standards-Version: 3.9.7
-Section: libs
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-vuplus.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-vuplus.git
 Homepage: https://github.com/kodi-pvr/pvr.vuplus.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-vuplus.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-vuplus.git
-
 
 Package: kodi-pvr-vuplus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:PVRAPI}
 Description: Vu+/Enigma2 PVR Addon for Kodi
  Enigma2 is a framebuffer-based zapping application (GUI) that is primarly
  targeted to physicial set-top-boxes running embedded Linux (OpenEmbedded
@@ -26,7 +30,7 @@
  used by a number of differet set-top box manufacturers, including the
  most commonly known are Dreambox, DBox2, and Vu+ (VuPlus), which all use
  Enigma2 based firmware images. Most of these Enigma2 based set-top boxes
- falls under the catagory of Linux-powered satellite, terrestrial and cable
+ falls under the category of Linux-powered satellite, terrestrial and cable
  digital television receivers.
  .
  With the Vu+ (VuPlus) PVR add-on Kodi PVR can be used also with a connected

## kodi-pvr-vuplus 2.4.4+git20160820

=== CMakeLists.txt ===
project(pvr.vuplus)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

enable_language(CXX)

find_package(Kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(p8-platform REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${p8-platform_INCLUDE_DIRS}
                    ${TINYXML_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR})

set(VUPLUS_SOURCES src/client.cpp
                   src/VuData.cpp)

set(DEPLIBS ${kodiplatform_LIBRARIES}
            ${p8-platform_LIBRARIES}
            ${TINYXML_LIBRARIES})

build_addon(pvr.vuplus VUPLUS DEPLIBS)

include(CPack)

## kodi-pvr-vuplus 2.4.12+dfsg1

=== debian/changelog ===
kodi-pvr-vuplus (2.4.12+dfsg1-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Add watch file and exclude debian dir from upstream tarball via
    debian/copyright
  * Use my @ubuntu.com email address in Uploaders field

  [ Debian's Automated Developer ]
  * New upstream version 2.4.12+dfsg1 (Closes: #875980)
  * Drop 0001-adapt-to-api-change-SeekTime.patch integrated upstream

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 26 Nov 2017 03:56:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: kodi-pvr-vuplus
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Balint Reczey <balint@balintreczey.hu>
+Uploaders: Balint Reczey <rbalint@ubuntu.com>
 Section: libs
 Priority: extra
 Build-Depends: debhelper (>= 9.0.0),

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg1,uversionmangle=s/_/./g,dversionmangle=s/.dfsg[0-9]*//" \
   https://github.com/kodi-pvr/pvr.vuplus/tags \
   (?:.*?/)?v?(\d[\d.]*)-[A-Za-z]*\.tar\.gz debian uupdate

## kodi-pvr-vuplus 3.28.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.vuplus)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(NlohmannJson REQUIRED)
find_package(p8-platform REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${NLOHMANNJSON_INCLUDE_DIRS}
                    ${p8-platform_INCLUDE_DIRS}
                    ${TINYXML_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR})

set(VUPLUS_SOURCES src/client.cpp
                   src/Enigma2.cpp
                   src/enigma2/Admin.cpp
                   src/enigma2/Channels.cpp
                   src/enigma2/ChannelGroups.cpp
                   src/enigma2/ConnectionManager.cpp
                   src/enigma2/Epg.cpp
                   src/enigma2/RecordingReader.cpp
                   src/enigma2/Recordings.cpp
                   src/enigma2/Settings.cpp
                   src/enigma2/StreamReader.cpp
                   src/enigma2/Timers.cpp
                   src/enigma2/TimeshiftBuffer.cpp
                   src/enigma2/data/AutoTimer.cpp
                   src/enigma2/data/BaseEntry.cpp
                   src/enigma2/data/Channel.cpp
                   src/enigma2/data/ChannelGroup.cpp
                   src/enigma2/data/EpgEntry.cpp
                   src/enigma2/data/RecordingEntry.cpp
                   src/enigma2/data/Timer.cpp
                   src/enigma2/extract/EpgEntryExtractor.cpp
                   src/enigma2/extract/GenreIdMapper.cpp
                   src/enigma2/extract/GenreRytecTextMapper.cpp
                   src/enigma2/extract/ShowInfoExtractor.cpp
                   src/enigma2/utilities/CurlFile.cpp
                   src/enigma2/utilities/FileUtils.cpp
                   src/enigma2/utilities/Logger.cpp
                   src/enigma2/utilities/WebUtils.cpp)

set(VUPLUS_HEADERS src/client.h
                   src/Enigma2.h
                   src/enigma2/Admin.h
                   src/enigma2/Channels.h
                   src/enigma2/ChannelGroups.h
                   src/enigma2/ConnectionManager.h
                   src/enigma2/Epg.h
                   src/enigma2/IConnectionListener.h
                   src/enigma2/IStreamReader.h
                   src/enigma2/RecordingReader.h
                   src/enigma2/Recordings.h
                   src/enigma2/Settings.h
                   src/enigma2/StreamReader.h
                   src/enigma2/Timers.h
                   src/enigma2/TimeshiftBuffer.h
                   src/enigma2/data/AutoTimer.h
                   src/enigma2/data/BaseChannel.h
                   src/enigma2/data/BaseEntry.h
                   src/enigma2/data/Channel.h
                   src/enigma2/data/ChannelGroup.h
                   src/enigma2/data/EpgEntry.h
                   src/enigma2/data/EpgPartialEntry.h
                   src/enigma2/data/EpgChannel.h
                   src/enigma2/data/RecordingEntry.h
                   src/enigma2/data/Tags.h
                   src/enigma2/data/Timer.h
                   src/enigma2/extract/IExtractor.h
                   src/enigma2/extract/EpgEntryExtractor.h
                   src/enigma2/extract/EpisodeSeasonPattern.h
                   src/enigma2/extract/GenreIdMapper.h
                   src/enigma2/extract/GenreRytecTextMapper.h
                   src/enigma2/extract/ShowInfoExtractor.h
                   src/enigma2/utilities/CurlFile.h
                   src/enigma2/utilities/DeviceInfo.h
                   src/enigma2/utilities/DeviceSettings.h
                   src/enigma2/utilities/LocalizedString.h
                   src/enigma2/utilities/UpdateState.h
                   src/enigma2/utilities/FileUtils.h
                   src/enigma2/utilities/Logger.h
                   src/enigma2/utilities/SignalStatus.h
                   src/enigma2/utilities/StreamStatus.h
                   src/enigma2/utilities/Tuner.h
                   src/enigma2/utilities/WebUtils.h)

set(DEPLIBS ${kodiplatform_LIBRARIES}
            ${p8-platform_LIBRARIES}
            ${TINYXML_LIBRARIES})

addon_version(pvr.vuplus VUPLUS)
add_definitions(-DVUPLUS_VERSION=${VUPLUS_VERSION})

build_addon(pvr.vuplus VUPLUS DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-vuplus (3.28.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * Add basic Salsa CI configuration
  * Don't repack upstream tarball
  * New upstream version 3.28.9
  * Bump libkodiplatform-dev and kodi-addons-dev build-dependency versions
  * Build-depend on nlohmann-json3-dev
  * Build-depend on kodi-addons-dev (>= 2:18~) (with correct epoch)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: kodi-pvr-vuplus
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Balint Reczey <rbalint@ubuntu.com>
 Section: libs
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9.0.0),
                cmake,
+               kodi-addons-dev (>= 2:18~),
                libtinyxml-dev,
-               libkodiplatform-dev (>= 17.1.0),
-               kodi-addons-dev (>= 17.0~beta6~)
+               libkodiplatform-dev (>= 20150826),
+               nlohmann-json3-dev
 Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-vuplus.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-vuplus.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-vuplus
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-vuplus.git
 Homepage: https://github.com/kodi-pvr/pvr.vuplus.git
 
 Package: kodi-pvr-vuplus

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,9 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@
+	dh $@ --with kodiaddon
 
 override_dh_auto_configure:
-	ln -s /usr/include/cec-platform src/platform
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1
 
 override_dh_installdocs:

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.vuplus/releases /kodi-pvr/.*/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz

## kodi-pvr-vuplus 7.4.0+ds1

=== debian/changelog ===
kodi-pvr-vuplus (7.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.4.0+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 01 Mar 2021 05:38:24 +0000

kodi-pvr-vuplus (7.3.3+ds1-1) unstable; urgency=medium

  * New upstream version 7.3.3+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 24 Feb 2021 05:49:11 +0000

kodi-pvr-vuplus (7.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 7.3.1+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 21 Jan 2021 07:32:02 +0000

kodi-pvr-vuplus (7.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.3.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:07 +0000

kodi-pvr-vuplus (7.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.2.0+ds1
    + Repack out vendored dependencies
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform build-dependency
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
  * Update d/copyright
  * Add new d/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 22:07:08 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vuplus/releases \
/kodi-pvr/pvr.vuplus/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-vuplus 7.4.3+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,18 +4,14 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
 find_package(Kodi REQUIRED)
-find_package(kodiplatform REQUIRED)
 find_package(NlohmannJson REQUIRED)
-find_package(p8-platform REQUIRED)
 find_package(TinyXML REQUIRED)
 
-include_directories(${kodiplatform_INCLUDE_DIRS}
-                    ${NLOHMANNJSON_INCLUDE_DIRS}
-                    ${p8-platform_INCLUDE_DIRS}
+include_directories(${NLOHMANNJSON_INCLUDE_DIRS}
                     ${TINYXML_INCLUDE_DIR}
                     ${KODI_INCLUDE_DIR})
 
-set(VUPLUS_SOURCES src/client.cpp
+set(VUPLUS_SOURCES src/addon.cpp
                    src/Enigma2.cpp
                    src/enigma2/Admin.cpp
                    src/enigma2/Channels.cpp
@@ -42,9 +38,10 @@
                    src/enigma2/utilities/CurlFile.cpp
                    src/enigma2/utilities/FileUtils.cpp
                    src/enigma2/utilities/Logger.cpp
+                   src/enigma2/utilities/StreamUtils.cpp
                    src/enigma2/utilities/WebUtils.cpp)
 
-set(VUPLUS_HEADERS src/client.h
+set(VUPLUS_HEADERS src/addon.h
                    src/Enigma2.h
                    src/enigma2/Admin.h
                    src/enigma2/Channels.h
@@ -64,6 +61,7 @@
                    src/enigma2/data/BaseEntry.h
                    src/enigma2/data/Channel.h
                    src/enigma2/data/ChannelGroup.h
+                   src/enigma2/data/ChannelGroupMember.h
                    src/enigma2/data/EpgEntry.h
                    src/enigma2/data/EpgPartialEntry.h
                    src/enigma2/data/EpgChannel.h
@@ -79,18 +77,17 @@
                    src/enigma2/utilities/CurlFile.h
                    src/enigma2/utilities/DeviceInfo.h
                    src/enigma2/utilities/DeviceSettings.h
-                   src/enigma2/utilities/LocalizedString.h
                    src/enigma2/utilities/UpdateState.h
                    src/enigma2/utilities/FileUtils.h
                    src/enigma2/utilities/Logger.h
                    src/enigma2/utilities/SignalStatus.h
                    src/enigma2/utilities/StreamStatus.h
+                   src/enigma2/utilities/StreamUtils.h
                    src/enigma2/utilities/Tuner.h
-                   src/enigma2/utilities/WebUtils.h)
+                   src/enigma2/utilities/WebUtils.h
+                   src/enigma2/utilities/XMLUtils.h)
 
-set(DEPLIBS ${kodiplatform_LIBRARIES}
-            ${p8-platform_LIBRARIES}
-            ${TINYXML_LIBRARIES})
+set(DEPLIBS ${TINYXML_LIBRARIES})
 
 addon_version(pvr.vuplus VUPLUS)
 add_definitions(-DVUPLUS_VERSION=${VUPLUS_VERSION})

=== debian/changelog ===
kodi-pvr-vuplus (7.4.3+ds1-1) unstable; urgency=medium

  * New upstream version 7.4.3+ds1
  * Fix github ref

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 08 May 2021 22:13:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: kodi-pvr-vuplus
+Priority: optional
+Section: libs
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Balint Reczey <rbalint@ubuntu.com>
-Section: libs
-Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
+Uploaders: Vasyl Gello <vasek.gello@gmail.com>
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: dh-sequence-kodiaddon,
                cmake,
-               kodi-addons-dev (>= 2:18~),
+               kodi-addons-dev (>= 2:19~),
                libtinyxml-dev,
-               libkodiplatform-dev (>= 20150826),
                nlohmann-json3-dev
-Standards-Version: 3.9.7
-Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-vuplus
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-vuplus.git
-Homepage: https://github.com/kodi-pvr/pvr.vuplus.git
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Homepage: https://kodi.tv/
+Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vuplus
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vuplus.git
 
 Package: kodi-pvr-vuplus
 Architecture: any

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vuplus/releases \
/kodi-pvr/pvr.vuplus/archive/refs/tags/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-vuplus 19.0.0+ds1

=== debian/changelog ===
kodi-pvr-vuplus (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:21 +0000

kodi-pvr-vuplus (7.4.9+ds1-1) unstable; urgency=medium

  * New upstream version 7.4.9+ds1
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:34:00 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                kodi-addons-dev (>= 2:19~),
                libtinyxml-dev,
                nlohmann-json3-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://kodi.tv/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vuplus

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vuplus/releases \
/kodi-pvr/pvr.vuplus/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-vuplus 20.3.1+ds1

=== debian/changelog ===
kodi-pvr-vuplus (20.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.1+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:56:13 +0000

kodi-pvr-vuplus (19.0.0+ds1-2) unstable; urgency=medium

  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:50:20 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vuplus/releases \
/kodi-pvr/pvr.vuplus/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-vuplus 20.4.0+ds1

=== debian/changelog ===
kodi-pvr-vuplus (20.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.4.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:49 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libtinyxml-dev,
                nlohmann-json3-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://kodi.tv/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vuplus

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vuplus \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-vuplus 20.4.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
                    src/enigma2/ChannelGroups.cpp
                    src/enigma2/ConnectionManager.cpp
                    src/enigma2/Epg.cpp
+                   src/enigma2/Providers.cpp
                    src/enigma2/RecordingReader.cpp
                    src/enigma2/Recordings.cpp
                    src/enigma2/Settings.cpp
@@ -29,6 +30,7 @@
                    src/enigma2/data/Channel.cpp
                    src/enigma2/data/ChannelGroup.cpp
                    src/enigma2/data/EpgEntry.cpp
+                   src/enigma2/data/Provider.cpp
                    src/enigma2/data/RecordingEntry.cpp
                    src/enigma2/data/Timer.cpp
                    src/enigma2/extract/EpgEntryExtractor.cpp
@@ -50,6 +52,7 @@
                    src/enigma2/Epg.h
                    src/enigma2/IConnectionListener.h
                    src/enigma2/IStreamReader.h
+                   src/enigma2/Providers.h
                    src/enigma2/RecordingReader.h
                    src/enigma2/Recordings.h
                    src/enigma2/Settings.h
@@ -57,14 +60,13 @@
                    src/enigma2/Timers.h
                    src/enigma2/TimeshiftBuffer.h
                    src/enigma2/data/AutoTimer.h
-                   src/enigma2/data/BaseChannel.h
                    src/enigma2/data/BaseEntry.h
                    src/enigma2/data/Channel.h
                    src/enigma2/data/ChannelGroup.h
                    src/enigma2/data/ChannelGroupMember.h
                    src/enigma2/data/EpgEntry.h
                    src/enigma2/data/EpgPartialEntry.h
-                   src/enigma2/data/EpgChannel.h
+                   src/enigma2/data/Provider.h
                    src/enigma2/data/RecordingEntry.h
                    src/enigma2/data/Tags.h
                    src/enigma2/data/Timer.h

=== debian/changelog ===
kodi-pvr-vuplus (20.4.1+ds-1) unstable; urgency=medium

  * New upstream version 20.4.1+ds
  * Bump copyright years
  * d/watch: Fix repack suffix

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Jan 2023 18:32:52 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake,
                libtinyxml-dev,
                nlohmann-json3-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://kodi.tv/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vuplus

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/kodi-pvr/pvr.vuplus \

## kodi-pvr-vuplus 20.5.1+ds

=== debian/changelog ===
kodi-pvr-vuplus (20.5.1+ds-1) unstable; urgency=medium

  * New upstream version 20.5.1+ds
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:41:01 +0000

## kodi-pvr-vuplus 21.2.1+ds

=== debian/changelog ===
kodi-pvr-vuplus (21.2.1+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:14:28 +0000

kodi-pvr-vuplus (21.2.1+ds-1) unstable; urgency=medium

  * New upstream version 21.2.1+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:51 +0000

kodi-pvr-vuplus (21.1.1+ds-1) experimental; urgency=medium

  * New upstream version 21.1.1+ds
  * Branch out experimental
  * Modernize package
  * New release 20.3.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:46 +0000

## kodi-pvr-vuplus 21.3.1+ds

=== debian/changelog ===
kodi-pvr-vuplus (21.3.1+ds-1) unstable; urgency=medium

  * New upstream version 21.3.1+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 26 Dec 2024 06:32:24 +0000

## kodi-pvr-vuplus 21.3.2%2Bds

=== debian/changelog ===
kodi-pvr-vuplus (21.3.2+ds-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 12:11:27 +0000

kodi-pvr-vuplus (21.3.2+ds-1) unstable; urgency=high

  * New upstream version 21.3.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:46:36 +0000

## kodi-pvr-vuplus 21.3.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,15 +13,16 @@
 
 set(VUPLUS_SOURCES src/addon.cpp
                    src/Enigma2.cpp
+                   src/enigma2/AddonSettings.cpp
                    src/enigma2/Admin.cpp
                    src/enigma2/Channels.cpp
                    src/enigma2/ChannelGroups.cpp
                    src/enigma2/ConnectionManager.cpp
                    src/enigma2/Epg.cpp
+                   src/enigma2/InstanceSettings.cpp
                    src/enigma2/Providers.cpp
                    src/enigma2/RecordingReader.cpp
                    src/enigma2/Recordings.cpp
-                   src/enigma2/Settings.cpp
                    src/enigma2/StreamReader.cpp
                    src/enigma2/Timers.cpp
                    src/enigma2/TimeshiftBuffer.cpp
@@ -40,22 +41,24 @@
                    src/enigma2/utilities/CurlFile.cpp
                    src/enigma2/utilities/FileUtils.cpp
                    src/enigma2/utilities/Logger.cpp
+                   src/enigma2/utilities/SettingsMigration.cpp
                    src/enigma2/utilities/StreamUtils.cpp
                    src/enigma2/utilities/WebUtils.cpp)
 
 set(VUPLUS_HEADERS src/addon.h
                    src/Enigma2.h
+                   src/enigma2/AddonSettings.h
                    src/enigma2/Admin.h
                    src/enigma2/Channels.h
                    src/enigma2/ChannelGroups.h
                    src/enigma2/ConnectionManager.h
                    src/enigma2/Epg.h
                    src/enigma2/IConnectionListener.h
+                   src/enigma2/InstanceSettings.h
                    src/enigma2/IStreamReader.h
                    src/enigma2/Providers.h
                    src/enigma2/RecordingReader.h
                    src/enigma2/Recordings.h
-                   src/enigma2/Settings.h
                    src/enigma2/StreamReader.h
                    src/enigma2/Timers.h
                    src/enigma2/TimeshiftBuffer.h
@@ -82,6 +85,7 @@
                    src/enigma2/utilities/UpdateState.h
                    src/enigma2/utilities/FileUtils.h
                    src/enigma2/utilities/Logger.h
+                   src/enigma2/utilities/SettingsMigration.h
                    src/enigma2/utilities/SignalStatus.h
                    src/enigma2/utilities/StreamStatus.h
                    src/enigma2/utilities/StreamUtils.h

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libtinyxml-dev,
                nlohmann-json3-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://kodi.tv/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vuplus
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vuplus.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-vuplus.git -b debian/sid
 
 Package: kodi-pvr-vuplus
 Architecture: any

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.vuplus \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
